Mon Nov  3 14:29:12 1997  Maorong Zou  <mzou@linux34.ma.utexas.edu>

	* Completed the man pages for all EZ functions. Implemented
	* a simple converter to convert man pages to html

Mon Oct 20 17:20:54 1997  Maorong Zou  <mzou@linux34.ma.utexas.edu>

	* Quite a few things has been changed during the past week.
	*   ^ Eliminated pointer wrapping when use kbd traversal.
	*   ^ implemented an explicit kbd focusing model
	*   ^ reworked the popup menu eventhandler.
	*   ^ For text widget, added a field so that when move up/down
	*     the cursor position is best kept.
	*   ^ all widget now support a EZ_PADB configuration option.
	*     it is used to draw the highlight focusing box around
	*     the widgets. Some widgets have this field a default value 2.
	
Tue Jul 22 21:43:18 1997  Maorong Zou  <mzou@linux34.ma.utexas.edu>

	* Added EZ_LOCATION, EZ_SIZE, EZ_SIZE_HINT, EZ_GEOMETRY
	* configuration options. 
	* Files modified: EZ_WidgetConfigure.c EZ_WidgetConfig.h
	*                 EZ_WidgetAttr.h

Fri Jul 18 14:13:22 1997  Maorong Zou  <mzou@linux34.ma.utexas.edu>

	* Shift Tab does not work on entry and text widgets. (fixed)
	*
	* Added MotionCallback handler to Entry widgets. Motion
	* callbacks are invoked whenever the text in the entry
	* is modified.

Thu Jul 17 13:35:31 1997  Maorong Zou  <mzou@linux34.ma.utexas.edu>

	* Implemented the EZ_WIDGET_ROW_COLUMN widget, a grid bag
	* manager.
	* New files:  EZ_WidgetRowCol.c EZ_RowCol.c
	* Modified: EZ_WidgetGeom.c EZ_Widget.h EZ.h EZ_WidgetAttr.h
	* EZ_WidgetConfig.h EZ_WidgetConfigure.c EZ_MemDebug.h
	* EZ_MemDebug.c MemDebug.h EZ_WidgetPaneHandle.c
	*

Wed Jun 25 14:01:58 1997  Maorong Zou  <mzou@linux34.ma.utexas.edu>

	* Patched the bmp patch contributed by arnodab@pie.nl
	* Files changed:  EZ_WidgetImage.c Makefile EZ_Widget.h
	* New files:  EZ_BMP.c EZ_Jpeg.c
	* Jpeg support depend on  (libjpeg release 6a of 7-Feb-96) 
	* from The Independent JPEG Group and is disabled by default 
	
Tue Jun 24 09:55:05 1997  Maorong Zou  <mzou@linux34.ma.utexas.edu>

	* Added tear-off menu support during the past week.
	* New file:  EZ_WidgetTearOff.c
	*
	* There are quite a few changes.
	*   MemDebug.h
	*   EZ_MemDebug.h       ---- new symbolic constants
	*   EZ_WidgetConfig.h   ---- new symbolic constants
	*
	*   EZ_WidgetLabel.c  added an event handler for label
	*    (instead of using the dummy event handler for label)
        *    Also, added a flag to the label data structure to
	*    flag whether the lable is a menu-title (needed for
	*    tear-off menu).
	*	
	*  EZ_WidgetMenuItems.c  new eventhandler for separator
	*  modified event handlers for all menu items. 
	*  (needed for tear off menu to work)
	*
	*  EZ_WidgetPopup.c  Added an eventhandler for menu
	*   (needed for tear off menu).
	*     Added two fields to the popup menu data structure
	*     and modified the EZ_CreatePopupMenu accordinly.
	*
	*  EZ_Widget.c
	*   added  EZ_DestroyCloneWidget(widget) 
	*   (each widget has a clone flag now, See EZ_Widget.h)
	*
	*  EZ_Focus.c   make menu focusable.
	*
	*  EZ_WidgetButtonC.c  Modified the data structure
	*  a little bit. (for check-button-item on tear off menu to work)
	*
	*  EZ_WidgetButtonM.c  Modified the event handler.
	*  (so that pulldown and tear-off and popup menu behave the same)
	* 
	*  EZ_WidgetConfigure.c  added  tear-off-menu support
	*   EZ_WidgetDisp.c   made tear-off a toplevel widget
	*
	*  EZ_WidgetEvent.c  Added a clientMessage handler for
	*  tear-off menus.

	
	*  Bug fixes:
	*   EZ_WidgetInit.c  Remove all events at shutdown using
	*  
	*   EZ_WidgetInput.c added () to silence gcc
	*
	*   EZ_WidgetEvent.c  Added ShiftMask for handling global
	*                     key events
	*                     Modified the mechanism for searching
	*                     global key events.

	* 
	*   VERSION  ------changed to 1.25
	*
	*

Tue Jun 11 13:05:30 1997  Maorong Zou  <mzou@linux34.ma.utexas.edu>

	* Added a new widget EZ_WIDGET_RAW_XWINDOW
	*                    a raw x window.
	* Modified  EZ_CreateWidget.c accordingly

	
Tue May 20 22:45:35 1997  Maorong Zou  <mzou@linux34.ma.utexas.edu>

	* Removed unnecessary server grabs in DnD handlers.
	* Modified the mechanism for DnD. Now DnD should perform
	* much better (visually) over the network.

Sun May 18 18:26:31 1997  Maorong Zou  <mzou@linux34.ma.utexas.edu>

	* Fixed a bug in  EZ_IFListBoxAllocNewStorage()
	* File: EZ_WidgetIFListBox.c
	* thanks to jbailie@wwdc.com

Tue May  6 16:36:51 1997  Maorong Zou  <mzou@linux34.ma.utexas.edu>

	* removed the wrong void in front of EZ_ResetGVPopuoC()
	  in EZ_WidgetInit.c. (thanks to arnodab@pie.nl)
	* applied his patch to handle raw RGB data.
	
Tue Apr 22 10:41:21 1997  Maorong Zou  <mzou@linux34.ma.utexas.edu>

	* Fix a bug in EZ_DeleteListBoxItem. 
	 (decrement the line count and null the last line)
	* Make repeated call to EZ_Shutdown safe. Checks if 
	  initialization flag. 
	* Fix a bug in  EZ_TextEndOfBuffer  
	

Tue Apr 15 16:34:09 1997  Maorong Zou  <mzou@linux34.ma.utexas.edu>

	* New Files:  EZ_CreateWidget.c EZ_CreateItem.c EZ_WidgetAttr.h EZ_ItemAttr.h
	* New Functions:
	   EZ_Widget  *EZ_CreateWidget      MY_VARARGS_D(int,  the_args);
	   EZ_Item    *EZ_CreateItem        MY_VARARGS_D(int,  the_args);
	* Several new symbolic constants are added in EZ_WidgetConfig.h
            	EZ_Widget.h  and EZ.h
	* EZ_ConfigureWidget and EZ_ConfigureItem have been
          rewritten. Part of the common code are moved to a different function.
	* EZ_WidgetButtonR.c is modified to cope with the new widget
	  creation function.
	* EZ_WidgetPaneHandle is modified to use EZ_PADX and EZ_PADY in
	  PaneHandle widget.
	
	
Mon Apr 14 17:35:39 1997  Maorong Zou  <mzou@linux34.ma.utexas.edu>

	* File: EZ_WidgetEntry.c
 	  Fixed a bug about focus messed up for Entry widget.
	* File: EZ_WidgetInit.c EZ_Widget.h EZ.h
	  Added EZ_Widget *EZ_GetBubbleHelp
	* File  EZ_WidgetFListBox.c
	  added in the missing   break  in a switch stmt.
	* File  EZ_WidgetIText.c EZ_WidgetIListBox.c EZ_WidgetEntry.c
	  added in the event handle for SelectionClear Event;
	* File EZ_Focus.c
	  Removed some redendunt code. (also a bug fix)
	* File EZ_WidgetEvent.c
	  Added  event handle for SelectionClear when something is grabed.
	* File EZ_Item.c
	  Added void EZ_GetItemPosition MY_ANSIARGS((EZ_Item *item, int  *x, int *y));
	* File EZ_DnDMsg.c
	  Added  void EZ_HandleDNDSameClient MY_ANSIARGS((void));
	  to handle DnD when the src and target are the same client.
	

Thu Apr  3 11:15:40 1997  Maorong Zou  <mzou@linux34.ma.utexas.edu>

	* File: EZ_WidgetInit.c
	     New Function:  char *EZ_LibraryVersion
	

Wed Apr  2 10:11:29 1997  Maorong Zou  <mzou@linux34.ma.utexas.edu>
	* File: EZ_WidgetIListBox.c EZ_WidgetListBox.c EZ_Widget.h  EZ.h
	   New Functions:  
	    void  EZ_ListBoxSelectItem MY_ANSIARGS((EZ_Widget *widget, char *str));
            void  EZ_ListBoxSelectItemUsingIdx MY_ANSIARGS((EZ_Widget *widget, int idx));

	* File: EZ_Tree.c  EZ_Widget.h  EZ.h
            EZ_TreeNode  *EZ_TreeFindNode MY_ANSIARGS((EZ_TreeNode *root, EZ_TreeNode *node));
            EZ_TreeNode  *EZ_TreeFindNodeUsingItem MY_ANSIARGS((EZ_TreeNode *root, EZ_Item *item));

	* File: EZ_WidgetTree.c EZ_WidgetITree.c  EZ_Widget.h  EZ.h
            void  EZ_TreeSelectNode MY_ANSIARGS((EZ_Widget *widget, EZ_TreeNode *theNode));
            void  EZ_TreeSelectNodeUsingItem MY_ANSIARGS((EZ_Widget *widget, EZ_Item *theItem));

	* File: EZ_WidgetFListBox.c EZ_WidgetIFListBox.c  EZ_Widget.h  EZ.h
	    void   EZ_FancyListBoxSelectItemUsingIdx MY_ANSIARGS((EZ_Widget *widget, int Srow, int Scol, int *location));
	    void   EZ_FancyListBoxSelectItem MY_ANSIARGS((EZ_Widget *widget, EZ_Item *item, int *location));

	* File: EZ_WidgetWorkArea.c EZ_WidgetIWorkArea.c  EZ_Widget.h  EZ.h
	    void   EZ_WorkAreaSelectItem MY_ANSIARGS((EZ_Widget *widget, EZ_Item *item, int *location));
	    void   EZ_WorkAreaSelectItemUsingIdx MY_ANSIARGS((EZ_Widget *widget, int idx, int *location));

	* File: EZ_Timer.c  EZ_Widget.h  EZ.h
            changed  EZ_SetTimerCallBack to take   callData arg.

	* File: EZ_WidgetInput.c EZ_Widget.h  EZ.h
	    correct spelling in    EZ_OnOffSecretEntry

	
	
	
Tue Apr  1 10:45:49 1997  Maorong Zou  <mzou@linux34.ma.utexas.edu>
    * New File:  EZ_Input.h EZ_Input.c
      New Functions:   void         *EZ_AddInput MY_ANSIARGS((int fd, int mask, 
				       EZ_InputCallBack callback,
				       void *data));
                       void         EZ_RemoveInput MY_ANSIARGS((void  *id));
      		       
    * EZ_Widget.h EZ.h 
	protypes inserted. Added in prototypes
	typedef  void EZ_Input
        typedef  void (*EZ_InputCallback) MY_ANSIARGS((void *object, void *data, int fd, int mask));

	


	
Mon Mar 31 15:32 10:26:45 1997  Maorong Zou  <mzou@linux34.ma.utexas.edu>
      * File:  EZ_Timer.c
	fixed a bug. (when a timer call EZ_ServiceEvents, it may invoke
 	              itself which may cause an infinite recursion)


	


Tue Mar  30 15:16:08 1997  Maorong Zou  <mzou@linux34.ma.utexas.edu>
   * File: EZ_GLEvent.c
      New Function: 
	            int   EZ_EnterEvent MY_ANSIARGS(( EZ_Widget *widget,
				      int             event_type,
				      int             *values));
      Modified: (prototype change)
	    int   EZ_GLEnterEvent MY_ANSIARGS(( EZ_Widget *widget,
				    int             event_type,
				    int             *value));
	    void  EZ_GLResetEvents MY_ANSIARGS((EZ_Widget *widget));
    * File:  EZ.h EZ_Widget.h
	protype changes of the above.


	

	
Sat Apr  Mar 29 23:42:55 1997  Maorong Zou  <mzou@linux34.ma.utexas.edu>
     * File:  EZ_WidgetInit.c      
	   New Function:
	       void    EZ_FlashWidgetWindowBorder MY_ANSIARGS((EZ_Widget *widget, Drawable drawable,
 						int x, int y, int w,int h));
               void    EZ_FlashWidgetBorder MY_ANSIARGS((EZ_Widget *widget));
      * File: EZ_WidgetBorder.c
	    minor change
      * File: EZ_Widget.h EZ.h
	   prototypes of the above 2 functions.

 	


Thu Mar  27 15:19:20  Maorong Zou  <mzou@linux34.ma.utexas.edu>
       * File: EZ_Widget.h  EZ.h
       	      Prototype for   EZ_Widget *EZ_CreateMenu MY_ANSIARGS((char *title));
	      were added in.
       * File: EZ_WidgetITree.c EZ_WidgetIFListBox.c EZ_WidgetIWorkArea.c
	      EZ_DnDHandler.c
	      Minor changes. 




	
Wed Mar 26 11:40  1997  Maorong Zou  <mzou@linux34.ma.utexas.edu>
     * File: EZ_WidgetGeom.c
	  Bug fix:  (When the dimension of a widget is larger than the
	            min size to hold its children, e.g. labeled frame,
	            the children are placed wrongly)
      * File:  EZ_Widget.h
	       new fields were added in   EZ_WidgetCommon
      * File:  EZ_ProjView.c
	       minor change.
      * File:  EZ_Render.c EZ_Render.h
	       bug fix. (When lighting is disabled, EZ_PolygonMode did not work)

	
	


Tue Mar 25 17:27:29 1997  Maorong Zou  <mzou@linux34.ma.utexas.edu>
     * File: EZ_WidgetInput.c 
	   New Function: void EZ_OnOffSecreteEntry(EZ_Widget *entry, int OnOff);
  	   The prototype is added in
     * File: EZ_Widget.h and EZ.h



	
